#include "pch.h"
#include "legacy_ui_node_attributes.h"
#include "legacy_ui_node_loader.h"
#include "node.h"

void Node::parse_attributes(kAttribute ka, const tinyxml2::XMLAttribute* attr)
{
    pp::panopainter::parse_legacy_ui_node_attribute(*this, ka, attr);
}

void Node::load_internal(const tinyxml2::XMLElement* x_node, bool skip_children /*= false*/)
{
    pp::panopainter::load_legacy_ui_node(*this, *x_node, skip_children);
}
